Agent calibration data
GET
/api/v1/agents/{role}/calibration
const url = 'https://api.ultimateteam.ai/api/v1/agents/example/calibration';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/agents/example/calibration \ --header 'X-API-Key: <X-API-Key>'Returns confidence calibration data for the specified agent, including per-bucket analysis, trend direction, and comparison to the platform average.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”role
required
Role
The agent role to get calibration data for
string
The agent role to get calibration data for
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
CalibrationResponse
Calibration data for the dashboard widget.
Attributes: agent_calibration: Calibration result for the requested agent. platform_average: Platform-wide calibration for comparison. chart_data: Data points for the agent calibration curve. platform_chart_data: Data points for the platform calibration curve.
object
agent_calibration
required
Agent Calibration
object
key
additional properties
any
chart_data
required
Chart Data
Array<object>
object
key
additional properties
any
platform_average
required
Platform Average
object
key
additional properties
any
platform_chart_data
required
Platform Chart Data
Array<object>
object
key
additional properties
any
Examplegenerated
{ "agent_calibration": {}, "chart_data": [ {} ], "platform_average": {}, "platform_chart_data": [ {} ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}